/**
 * \file InterfaceAquisicao.h
 * \brief Arquivo header da interface com a circuitaria de aquisio.
 *
 * \author Universidade Tecnolgica Federal do Paran - UTFPR
 * \author Laboratrio de Automao e Sistemas de Controle Avanado - LASCA
 * \author ENGAUT Engenharia e Automao LTDA - ME
 *
 * Projeto CAMITATIBA - Arquivo header da interface para interao com a circuitaria
 * de aquisio da Placa de Aquisio v2.0.
 *
 * Revises: nenhuma
 *
 * \date 01/04/2011
 * \author Rafael Jos Daciuk
 */

#ifndef INTERFACEAQUISICAO_H_
#define INTERFACEAQUISICAO_H_

/*==================================================================
 * Incluses de Arquivos
 ==================================================================*/

/*==================================================================
 * Definies
 ==================================================================*/
#define AMP_CANAL1				0 ///< Definio do nmero que representa o amplificador de sinal do Canal 1 da aquisio
#define AMP_CANAL2				1 ///< Definio do nmero que representa o amplificador de sinal do Canal 2 da aquisio
#define AMP_CANAL3				2 ///< Definio do nmero que representa o amplificador de sinal do Canal 3 da aquisio

/*==================================================================
 * Prottipos de Funes
 ==================================================================*/
void Aquis_Inicializa();
void Aquis_DefineGanhoAmp(Uint8 amp, Uint8 ganho);
void Aquis_CpldReset();
void Aquis_AlocaBuffersSinais();
void Aquis_HabilitaCanais(Bool habilitaCanal1, Bool habilitaCanal2, Bool habilitaCanal3);
void Aquis_Adquirir();
void Aquis_SalvarOndas();
void Aquis_GravaQtdeAmostras(Uint32 qtde);
void Aquis_GravaTamanhoAmostra(Uint32 tamanho);
void Aquis_ConfiguraBuffers();

#endif /* INTERFACEAQUISICAO_H_ */
