/**
 * \file InterfaceI2C.h
 * \brief Arquivo header para o driver da interface I2C.
 *
 * \author Universidade Tecnolgica Federal do Paran - UTFPR
 * \author Laboratrio de Automao e Sistemas de Controle Avanado - LASCA
 * \author ENGAUT Engenharia e Automao LTDA - ME
 *
 * Projeto CAMITATIBA - Arquivo header para o driver da interface I2C implementada na CPLD
 * da Placa de Aquisio v2.0.
 *
 * Revises: nenhuma
 *
 * \date 31/03/2011
 * \author Rafael Jos Daciuk
 */

#ifndef INTERFACEI2C_H_
#define INTERFACEI2C_H_

/*==================================================================
 * Incluses de Arquivos
 ==================================================================*/

/*==================================================================
 * Definies
 ==================================================================*/

/*==================================================================
 * Prottipos de Funes
 ==================================================================*/
void I2C_Inicializa();
void I2C_EnviaByte(unsigned char addr, unsigned char dat);
unsigned char I2C_RecebeByte(unsigned char addr);

#endif /* INTERFACEI2C_H_ */
