/**
 * \file InterfaceSi5338.h
 * \brief Arquivo header para o driver do Si5338.
 *
 * \author Universidade Tecnolgica Federal do Paran - UTFPR
 * \author Laboratrio de Automao e Sistemas de Controle Avanado - LASCA
 * \author ENGAUT Engenharia e Automao LTDA - ME
 *
 * Projeto CAMITATIBA - Arquivo header para o driver do gerador de clock dos
 * A/D's da aquisio, o Si5338.
 *
 * Revises: nenhuma
 *
 * \date 31/03/2011
 * \author Rafael Jos Daciuk
 */

#ifndef INTERFACESI5338_H_
#define INTERFACESI5338_H_

/*==================================================================
 * Incluses de Arquivos
 ==================================================================*/
//#include "RegistradoresSi5338.h"

/*==================================================================
 * Definies
 ==================================================================*/
#define NUM_REGS_MAX 350

/*==================================================================
 * Typedefs
 ==================================================================*/
typedef struct RegData{
   unsigned char Reg_Addr;
   unsigned char Reg_Val;
   unsigned char Reg_Mask;
} RegData;	///< Definio da estrutura que contm os valores dos registradores de configurao do Si5338

/*==================================================================
 * Prottipos de Funes
 ==================================================================*/
void Si5338_Configura(const RegData *Reg_Store);

#endif /* INTERFACESI5338_H_ */
