/**
 * \file SonicLab.c
 * \brief Arquivo principal do firmware de aquisio de dados de ultrassom.
 *
 * \author Universidade Tecnolgica Federal do Paran - UTFPR
 * \author Laboratrio de Automao e Sistemas de Controle Avanado - LASCA
 * \author ENGAUT Engenharia e Automao LTDA - ME
 *
 * Projeto CAMITATIBA - Arquivo principal contendo as implementaes das funes
 * do firmware de aquisio de dados de ultrassom propriamente dito.
 *
 * Revises: nenhuma
 *
 * \date 24/03/2011
 * \author Rafael Jos Daciuk
 */

/*==================================================================
 * Incluses de Arquivos
 ==================================================================*/
#include "SonicLab.h"
#include "Interfaces/SonicLabDriver.h"
#include "Interfaces/InterfaceAquisicao.h"
#include "Interfaces/InterfaceExcitacao.h"

//BSLs
//#include <types.h>
//#include <evmomapl138.h>
//#include <evmomapl138_emac.h>
//#include <evmomapl138_timer.h>
//#include <evmomapl138_spi.h>
//#include <evmomapl138_spiflash.h>
//#include <evmomapl138_i2c.h>
//#include <evmomapl138_rtc.h>
//#include <evmomapl138_led.h>
//#include <evmomapl138_uart.h>
//Fim BSLs

/*==================================================================
 * Variveis de uso Global no arquivo
 ==================================================================*/


/*==================================================================
 * Variveis de uso Global no firmware
 ==================================================================*/


/*==================================================================
 * Implementaes de Funes
 ==================================================================*/

/**
 * \fn void main()
 * \brief Funo principal do firmware.
 */
void main()
{
	unsigned int i;
	InicializaOmap();
	InicializaMemorias();

	EDMA3_Inicializa();
	SPI_Inicializa();
	GPIO_Inicializa();

	// reseta a CPLD
	Aquis_CpldReset();

	// inicializa o mdulo de aquisio (configurao dos A/D's, ganhos dos amplificadores, configurao das FIFO's, etc.)
	Aquis_Inicializa();

	// inicializa o mdulo de excitao (excitao de transdutores desligada)
	ExcitacaoInicializa();

	// inicializa o controlador de interrupes e habilita as interrupes necessrias
	DSPINTC_Inicializa();

	// daciuk: teste preliminar da aquisio acoplada ao kit do OMAP-L138
	Aquis_HabilitaCanais(TRUE, TRUE, TRUE);
	Aquis_GravaQtdeAmostras(1024);
	Aquis_GravaTamanhoAmostra(4096);
	Aquis_ConfiguraBuffers();

	// loop principal da rotina do firmware
	while(1)
	{
		// verifica se foi recebida alguma informao proveniente da IHM

		// verifica se deve ser disparada a aquisio de sinais

		// verifica se existe alguma informao pendente de ser enviada  IHM
	}
}
